You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     emulat...@freebsd.org
Last committer: netch...@freebsd.org
Ident:          $FreeBSD: head/graphics/linux-c6-dri/Makefile 393817 2015-08-09 
19:14:13Z netchild $
Log URL:        
http://beefy4.nyi.freebsd.org/data/head-amd64-default/p398968_s289099/logs/linux-c6-dri-10.1_1.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p398968_s289099
Log:

====>> Building graphics/linux-c6-dri
build started at Sat Oct 10 03:14:01 UTC 2015
port directory: /usr/ports/graphics/linux-c6-dri
building for: FreeBSD head-amd64-default-job-08 11.0-CURRENT FreeBSD 
11.0-CURRENT r289099 amd64
maintained by: emulat...@freebsd.org
Makefile ident:      $FreeBSD: head/graphics/linux-c6-dri/Makefile 393817 
2015-08-09 19:14:13Z netchild $
Poudriere version: 3.1.8
Host OSVERSION: 1100079
Jail OSVERSION: 1100080




!!! Jail is newer than host. (Jail: 1100080, Host: 1100079) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1100080
UNAME_v=FreeBSD 11.0-CURRENT r289099
UNAME_r=11.0-CURRENT
LC_COLLATE=C
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=linux-c6-dri-10.1_1
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.8
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/linux-c6-dri/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/linux-c6-dri/work  
HOME=/wrkdirs/usr/ports/graphics/linux-c6-dri/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/linux-c6-dri/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/linux-c6-dri/work  
HOME=/wrkdirs/usr/ports/graphics/linux-c6-dri/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/compat/linux  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" 
LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing " 
 MANPREFIX="/compat/linux" BSD_INSTALL_PROGRAM="install   -m 555"  
BSD_INSTALL_LIB="install   -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/compat/linux
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/dri"
EXAMPLESDIR="share/examples/dri"
DATADIR="share/dri"
WWWDIR="www/dri"
ETCDIR="/etc"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/compat/linux
LOCALBASE=/usr/local
DATADIR=/compat/linux/share/dri
DOCSDIR=/compat/linux/share/doc/dri
EXAMPLESDIR=/compat/linux/share/examples/dri
WWWDIR=/compat/linux/www/dri
ETCDIR=/etc
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   linux-c6-dri-10.1_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.1.txz
[head-amd64-default-job-08] Installing pkg-1.6.1...
[head-amd64-default-job-08] Extracting pkg-1.6.1: .......... done
Message from pkg-1.6.1:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   linux-c6-dri-10.1_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of linux-c6-dri-10.1_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by linux-c6-dri-10.1_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by linux-c6-dri-10.1_1 for building
=> SHA256 Checksum OK for rpm/i686/centos/6.6/mesa-libGL-10.1.2-2.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/mesa-libGLU-10.1.2-2.el6.i686.rpm.
=> SHA256 Checksum OK for 
rpm/i686/centos/6.6/mesa-dri-drivers-10.1.2-2.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/libdrm-2.4.52-4.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/freeglut-2.6.0-1.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/mesa-10.1.2-2.el6.src.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/libdrm-2.4.52-4.el6.src.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/freeglut-2.6.0-1.el6.src.rpm.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by linux-c6-dri-10.1_1 for building
===>  Extracting for linux-c6-dri-10.1_1
=> SHA256 Checksum OK for rpm/i686/centos/6.6/mesa-libGL-10.1.2-2.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/mesa-libGLU-10.1.2-2.el6.i686.rpm.
=> SHA256 Checksum OK for 
rpm/i686/centos/6.6/mesa-dri-drivers-10.1.2-2.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/libdrm-2.4.52-4.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/freeglut-2.6.0-1.el6.i686.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/mesa-10.1.2-2.el6.src.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/libdrm-2.4.52-4.el6.src.rpm.
=> SHA256 Checksum OK for rpm/i686/centos/6.6/freeglut-2.6.0-1.el6.src.rpm.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for linux-c6-dri-10.1_1
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for linux-c6-dri-10.1_1
===========================================================================
=======================<phase: build          >============================
===========================================================================
=======================<phase: run-depends    >============================
===>   linux-c6-dri-10.1_1 depends on file: /compat/linux/bin/sh - not found
===>   Installing existing package /packages/All/linux_base-c6-6.6_6.txz
[head-amd64-default-job-08] Installing linux_base-c6-6.6_6...
[head-amd64-default-job-08] Extracting linux_base-c6-6.6_6: .......... done
grep: /etc/fstab: No such file or directory

+++ Some programs may need linprocfs, please add it to /etc/fstab! +++

Running linux ldconfig...
Message from linux_base-c6-6.6_6:
This software is based in part on the work of the FreeType Team.
See <URL:http://www.freetype.org/>.

Installation of the Linux base system is finished. The Linux kernel
mode, which must be enabled for Linux binaries to run, is now
enabled. Linux mode can be enabled permanently with the linux_enable
variable of rc.conf(5).

----------------------
You should enable Linux mode with the linux_enable variable of rc.conf(5).
Depending on the version of FreeBSD you are using you may have to increase
the emulated linux version via compat.linux.osrelease=2.6.18 in
sysctl.conf(5). Check via "sysctl compat.linux.osrelease" that it shows a
lower version number before setting it.
----------------------

If you want to use shared memory in Linux applications, you need to set up
a link from /dev/shm to a suitable place, e.g. by adding the following line
to /etc/devfs.conf (takes effect on each boot):
        link /tmp shm

To make use of NIS you have to adjust yp.conf and nsswitch.conf in
/compat/linux/etc/ accordingly. For example:

Set your yp-server and yp-domainname in yp.conf:
        domainname      my.yp.domainname
        ypserver        my.yp.server

Let your lists for hosts, passwd and group be resolved via nsswitch.conf:
        passwd: files nis
        shadow: files nis
        group:  files nis
        hosts:  files dns nis

WARNING: doing work which needs to chroot into the linux base may not work.
In such cases (e.g. cross-development) you are better suited with a linux_dist
port.
===>   linux-c6-dri-10.1_1 depends on file: /compat/linux/bin/sh - found
===>   Returning to build of linux-c6-dri-10.1_1
===>   linux-c6-dri-10.1_1 depends on file: /compat/linux/lib/libexpat.so.1 - 
not found
===>   Installing existing package /packages/All/linux-c6-expat-2.0.1_2.txz
[head-amd64-default-job-08] Installing linux-c6-expat-2.0.1_2...
[head-amd64-default-job-08] Extracting linux-c6-expat-2.0.1_2: ...... done
===>   linux-c6-dri-10.1_1 depends on file: /compat/linux/lib/libexpat.so.1 - 
found
===>   Returning to build of linux-c6-dri-10.1_1
===>   linux-c6-dri-10.1_1 depends on file: 
/compat/linux/usr/lib/libfontconfig.so.1.4.4 - not found
===>   Installing existing package /packages/All/linux-c6-fontconfig-2.8.0_1.txz
[head-amd64-default-job-08] Installing linux-c6-fontconfig-2.8.0_1...
[head-amd64-default-job-08] Extracting linux-c6-fontconfig-2.8.0_1: .......... 
done
===>   linux-c6-dri-10.1_1 depends on file: 
/compat/linux/usr/lib/libfontconfig.so.1.4.4 - found
===>   Returning to build of linux-c6-dri-10.1_1
===>   linux-c6-dri-10.1_1 depends on file: 
/compat/linux/usr/lib/libXrandr.so.2.2.0 - not found
===>   Installing existing package /packages/All/linux-c6-xorg-libs-7.4_3.txz
[head-amd64-default-job-08] Installing linux-c6-xorg-libs-7.4_3...
[head-amd64-default-job-08] Extracting linux-c6-xorg-libs-7.4_3: .......... done
===>   linux-c6-dri-10.1_1 depends on file: 
/compat/linux/usr/lib/libXrandr.so.2.2.0 - found
===>   Returning to build of linux-c6-dri-10.1_1
===========================================================================
=======================<phase: stage          >============================
===>  Staging for linux-c6-dri-10.1_1
===>   Generating temporary packing list
cd /wrkdirs/usr/ports/graphics/linux-c6-dri/work && /usr/bin/find * ! -path 
"stage*" -type d -exec /bin/mkdir -p 
"/wrkdirs/usr/ports/graphics/linux-c6-dri/work/stage/compat/linux/{}" \;
cd /wrkdirs/usr/ports/graphics/linux-c6-dri/work && /usr/bin/find * ! -path 
"stage/*" ! -type d | /usr/bin/cpio -pm -R root:wheel 
/wrkdirs/usr/ports/graphics/linux-c6-dri/work/stage/compat/linux
85431 blocks
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for linux-c6-dri-10.1_1
pkg-static: Unable to access file 
/wrkdirs/usr/ports/graphics/linux-c6-dri/work/stage/etcrc: No such file or 
directory
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/linux-c6-dri
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to